summaryrefslogtreecommitdiffstats
path: root/data/doc/sisu/markup-samples/manual/en/sisu_install_run.sst
blob: b77e216a80c2a60cba0fb004b97f652c346f6556 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
% SiSU insert 5.0

@title: SiSU
 :subtitle: Installation

@creator:
 :author: Amissah, Ralph

@date:
 :published: 2007-09-16
 :created: 2002-11-12
 :issued: 2002-11-12
 :available: 2002-11-12
 :modified: 2014-02-05

@rights:
 :copyright: Copyright (C) Ralph Amissah 2007
 :license: GPL 3 (part of SiSU documentation)

:A~? SiSU Installation notes

1~source_tarball Source tarball

2~ run off source package directory tree (without installing)

1. Download the latest source

2. Unpack the source

Provided you have Ruby, SiSU can be run without installation straight from the source package directory tree. Run ruby against the full path to bin/sisu (in the unzipped source package directory tree)

Note however, that additional external package dependencies, such as texlive (for pdfs), sqlite3 or postgresql (for search) should you desire to use them are not taken care of for you.

2~ Gem install (with rake)

Gem install, you need to:

(i) create the gemspec; (ii) build the gem (from the gemspec); (iii) install the gem

Provided you have ruby & rake, this can be done with the single command:

_1 rake gem_create_build_install # (to build and install sisu v5 & sisu v6, alias gemcbi)

separate gems are made/installed for sisu v5 & sisu v6 contained in source:

_1 rake gem_create_build_install_stable # (to build and install sisu v5, alias gem5cbi)

_1 rake gem_create_build_install_unstable # (to build and install sisu v6, alias gem6cbi)

for individual steps (create, build, install) see rake options, rake -T
to specify sisu version for sisu installed via gem

gem search sisu

_1 sisu _${sisu_stable}_ --version

_1 sisu _${sisu_dev}_ --version

to uninstall sisu installed via gem

_1 sudo gem uninstall --verbose sisu

For a list of alternative actions you may type:

_1 rake help

_1 rake -T

Rake: http://rake.rubyforge.org/ http://rubyforge.org/frs/?group_id=50

Rant: http://make.rubyforge.org/ http://rubyforge.org/frs/?group_id=615

2~ installation with setup.rb

It should also be possible to install sisu using setup.rb

this is a three step process, in the root directory of the unpacked SiSU as root type:

``` code
ruby setup.rb config
ruby setup.rb setup
#[as root:]
ruby setup.rb install
```

further information: \\
http://i.loveruby.net/en/projects/setup/ \\
http://i.loveruby.net/en/projects/setup/doc/usage.html

_1 ruby setup.rb config && ruby setup.rb setup && sudo ruby setup.rb install

1~distribution_install Unix/Linux Distribution

A distribution install should take care of the dependencies of sisu for producing various outputs.

2~ Debian

SiSU is available off the Debian archives. It should necessary only to run as root, Using apt-get:

code{

  apt-get update

  apt get install sisu-complete

}code

(all sisu dependencies should be taken care of)

If there are newer versions of SiSU upstream, they will be available by
adding the following to your sources list /etc/apt/sources.list *~sources.list

code{

#/etc/apt/sources.list

deb http://www.jus.uio.no/sisu/archive unstable main non-free
deb-src http://www.jus.uio.no/sisu/archive unstable main non-free

}code

The non-free section is for sisu markup samples provided, which contain authored works the substantive text of which cannot be changed, and which as a result do not meet the debian free software guidelines.

SiSU is developed on Debian, and packages are available for Debian that take care of the dependencies encountered on installation.

The package is divided into the following components:

_1 *sisu*, the base code, (the main package on which the others depend), without any dependencies other than ruby (and for convenience the ruby webrick web server), this generates a number of types of output on its own, other packages provide additional functionality, and have their dependencies

_1 *sisu-complete*, a dummy package that installs the whole of greater sisu as described below, apart from sisu-examples

_1 *sisu-pdf*, dependencies used by sisu to produce pdf from LaTeX generated

_1 *sisu-postgresql*, dependencies used by sisu to populate postgresql database (further configuration is necessary)

_1 *sisu-sqlite*, dependencies used by sisu to populate sqlite database

_1 *sisu-markup-samples*, sisu markup samples and other miscellany (under Debian Free Software Guidelines non-free)

SiSU is available off { Debian Unstable and Testing }http://packages.debian.org/cgi-bin/search_packages.pl?searchon=names&subword=1&version=all&release=all&keywords=sisu ~{ http://packages.qa.debian.org/s/sisu.html }~ install it using apt-get, aptitude or alternative Debian install tools. *~apt-get

1~dependencies Dependencies

Here is a list of sisu's current dependencies,~{from the Debian control file}~ which depend on such factors as whether you want to generate pdf, whether you will be using SiSU with or without a database, ...). sisu_markup-samples may also be of interest.

``` code
Package: sisu
Depends: ruby | ruby-interpreter, openssl, rsync, unzip, zip
Recommends: sisu-pdf, sisu-sqlite, sisu-postgresql, imagemagick |
graphicsmagick, keychain, openssh-client | lsh-client, po4a, qrencode, rake,
ruby-rmagick, tidy, tree, vim-addon-manager
Suggests: lv, calibre, pinfo, poedit, texinfo, trang
```

``` code
Package: sisu-complete
Depends: ruby | ruby-interpreter, sisu (= ${source:Version}), sisu-pdf (=
${source:Version}), sisu-postgresql (= ${source:Version}), sisu-sqlite (=
${source:Version})
Description-en: installs all SiSU related packages
```

``` code
Package: sisu-pdf
Depends: ruby | ruby-interpreter, sisu (= ${source:Version}),
texlive-latex-base, texlive-fonts-recommended, texlive-generic-recommended,
texlive-latex-recommended, texlive-latex-extra, texlive-math-extra,
texlive-xetex, fonts-liberation, lmodern, latex-cjk-all, texlive-lang-cjk
Suggests: evince | pdf-viewer
```

``` code
Package: sisu-postgresql
Depends: ruby | ruby-interpreter, sisu (= ${source:Version}), postgresql,
ruby-dbd-pg, ruby-dbi, ruby-fcgi
Suggests: postgresql-contrib
```

``` code
Package: sisu-sqlite
Depends: ruby | ruby-interpreter, sisu (= ${source:Version}), sqlite3,
ruby-sqlite3, ruby-dbd-sqlite3, ruby-dbi, ruby-fcgi
```

``` code
Package: sisu-markup-samples
Depends: sisu
```